Subject: Re: [PATCH 00/10] config-hook cleanups and two small 'git hook list' features

From: Adrian Ratiu <[email-masked]>
Date: Tue, 10 Mar 2026 16:37:54 +0200

On Mon, 09 Mar 2026, Junio C Hamano <[email-masked]> wrote:
> Adrian Ratiu <[email-masked]> writes:
>
>> As promised I've spun-off v3 of the config series [1] into its own standalone
>> patch series after v2 landed in next.
>>
>> This is mostly minor cleanups and refactorings + two minor feature additions
>> to `git hook list`, which resulted from the previous review discussions:
>>
>> 1. The ability to show the config scope (--show-scope).
>> 2. The ability to show which hooks are disabled.
>
> OK.
>
>> This is based on next because the config hooks support is only in next.
>
> Not advisable, as doing so would take your topic hostage of _all_
> other topics in 'next', and it will _never_ happen for all of them,
> including the merge commit that merged them into 'next', to be
> merged to 'master'.
>
> After learning from the output of
>
>     $ git log --first-parent --oneline master..'seen^{/^### match next}' |
>       grep ar/
>
> that ar/config-hooks and ar/run-command-hook-take-2 are the two
> topic that may be relevant to the config-hook topic in 'next', and
> knowing that ar/config-hooks fully contains the other topic, I
> instead did the following to prepare a base:
>
>     $ git checkout -b ar/config-hook-cleanups master
>     $ git merge ar/config-hooks
>
> and then applied these 10 patches.  That way, ar/config-hooks can
> graduate in due course, and then this topic can follow, without
> waiting for other random things in 'next'.

I'll do something similar in my future series and stop basing patches on
top of next (I know it's the second time you're telling me to stop doing
this). Creating such a merge-base manually just didn't cross my mind. :)

Thanks for the tip.